Subject: Re: 1/72 Pe-2
From: "Yuval Kizner" <[email-masked]>
To: "Steve Bamford" <[email-masked]>
Date: Mon, 7 Apr 2003 20:50:41 +0200

Dear Steve !

I sent you just Pe-2 in 1/72 scale by ITALERY .
All the best !

Yuval .
  ----- Original Message ----- 
  From: Steve Bamford 
  To: Yuval Kizner 
  Sent: Monday, April 07, 2003 7:06 PM
  Subject: Re: 1/72 Pe-2

  Hi Yuval,
  I'm catching up on some e-mails from the past 2 weeks.  Thanks for sending in your Pe-2 article.  I'll e-mail you when it goes on ARC in less than 7 days from now..  Thanks again for sending it in!!!  
   
  Also...what scale is it?

  Steve Bamford
  Aircraft Resource Center
  http://www.aircraftresourcecenter.com
   
  Live like there is no tomorrow;
  Love like you have never been hurt; and
  Dance like no one is watching!

    ----- Original Message ----- 
    From: Yuval Kizner 
    To: Steve Bamford 
    Sent: Friday, March 28, 2003 1:28 PM
    Subject: 1/72 Pe-2

    Dear Steve,

    I send you my Pe-2 by Italeri. I built it directly from the box many years ago and painted with Acrilic paints using a brush.

    Regards,
    Yuval